Package org.eclipse.ecf.provider.generic.gmm

# Class Member

java.lang.Object
org.eclipse.ecf.provider.generic.gmm.Member

All Implemented Interfaces:
  `Comparable`

public class Member extends Object implements Comparable

## Constructor Summary

Constructors
Constructor
Description
`Member(ID member)`
`Member(ID member, Object data)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`boolean`
`equals(Object o)`
`Object`
`getData()`
`ID`
`getID()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Member

public Member(ID member)

### Member

public Member(ID member, Object data)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

### getID

public ID getID()

### getData

public Object getData()

### toString

public String toString()

Overrides:
  `toString` in class `Object`